# Changelog

## 2026-04-14

* `Multimedia.profiles` added

## 2026-04-07

* `ProductCreateGroupingInput.sku` becomes nullable
* `ProductCreateSimpleInput.sku` becomes nullable
* `ProductCreateVariableInput.sku` becomes nullable
* `NumericAttribute.unique` added
* `TextAttribute.unique` added

## 2026-03-10

* `Multimedia.attributeList` added
* `Query.multimediaAttributeList` added
* `Mutation.multimediaAttributeAddAttribute` added
* `Mutation.multimediaAttributeRemoveAttribute` added
* `Mutation.multimediaAttributeAddAttribute` added
* `Mutation.multimediaDeleteAttributeValueTranslations` added
* `Mutation.multimediaAddAttributeValueTranslationsText` added
* `Mutation.multimediaAddAttributeValueTranslationsTextarea` added
* `Mutation.multimediaAddAttributeValueTranslationsNumeric` added
* `Mutation.multimediaAddAttributeValueTranslationsPrice` added
* `Mutation.multimediaAddAttributeValueTranslationsUnit` added
* `Mutation.multimediaAddAttributeValueTranslationsImage` added
* `Mutation.multimediaAddAttributeValueTranslationsGallery` added
* `Mutation.multimediaAddAttributeValueTranslationsFile` added
* `Mutation.multimediaAddAttributeValueTranslationsProductRelation` added
* `Mutation.multimediaAddAttributeValueTranslationsDate` added
* `Mutation.multimediaAddAttributeValueTranslationsSelect` added
* `Mutation.multimediaAddAttributeValueTranslationsMultiSelect` added

## 2024-11-21

* `Query.productVariantParent` added
* `Product.status` added
* `Mutation.productSetStatus` added

## 2024-10-16

* `Query.productByUniqueAttribute` added

## 2024-07-15

* `ProductAddAttributeValueTranslationsProductRelationInput.twoWayRelation` added

## 2024-06-25

* `Mutation.multimediaFolderDelete` added
* `Query.attributeOptionList` added

## 2024-04-16

* `MultiSelectAttribute.options` removed
* `SelectAttribute.options` removed

## 2024-01-25

* `OptionAttribute.optionList` argument `codes` added
* `Template.sectionList` added
* `Query.section` added
* `Query.sectionList` added
* `Query.template` added

## 2023-12-20

* `OptionAttribute` interface added
* `SelectAttribute` implements `OptionAttribute`
* `MultiSelectAttribute` implements `OptionAttribute`
* `OptionAttribute.customFields` added
* `Option.customFields` added
* `Mutation.attributeOptionAddCustomFieldImage` added
* `Mutation.attributeOptionAddCustomFieldText` added
* `Mutation.attributeOptionAddCustomFieldTextarea` added
* `Mutation.attributeOptionAddCustomFieldTextareaRTE` added
* `Mutation.attributeOptionAddOptionCustomFieldValueTranslationsImage` added
* `Mutation.attributeOptionAddOptionCustomFieldValueTranslationsText` added
* `Mutation.attributeOptionAddOptionCustomFieldValueTranslationsTextarea` added
* `Mutation.attributeOptionAddOptionCustomFieldValueTranslationsTextareaRTE` added
* `Mutation.attributeOptionDeleteCustomField` added
* `Mutation.attributeOptionDeleteOptionCustomFieldValueTranslations` added

## 2023-09-07

* `Query.multimediaFolder` added
* `MultimediaFolderCreateInput.createFolderPath` added
* `MultimediaCreateInput.folderName` removed
* `Mutation.multimediaSetFolder` removed

## 2023-08-23

* `MultiSelectAttribute.optionList` added
* `MultiSelectAttribute.options` becomes deprecated. Use `MultiSelectAttribute.optionList` instead
* `SelectAttribute.optionList` added
* `SelectAttribute.options` becomes deprecated. Use `SelectAttribute.optionList` instead
* `Mutation.attributeMultiSelectAddOption` added
* `Mutation.attributeMultiSelectDeleteOption` added
* `Mutation.attributeMultiSelectSetOptionName` added
* `Mutation.attributeSelectAddOption` added
* `Mutation.attributeSelectDeleteOption` added
* `Mutation.attributeSelectSetOptionName` added
* `Mutation.multimediaReplace` added

## 2023-07-25

* `Query.multimedia` added

## 2023-05-08

* `MultimediaFolder.path` added
* `Mutation.multimediaMove` added
* `Mutation.multimediaFolderCreate` added
* `MultimediaCreateInput.folderPath` added
* `MultimediaCreateInput.folderName` becomes deprecated. If passed together with `folderPath` this argument becomes disregarded
* `Mutation.multimediaSetFolder` becomes deprecated

## 2023-04-17

* `MultiSelectAttributeValueTranslation.translatedValue` added
* `SelectAttributeValueTranslation.translatedValue` added

## 2023-02-28

* `AttributeValue.valueTranslations` removed
* `TextareaAttributeValueTranslation.rawValue` added

## 2023-02-22

* `Attribute.metadata` added
* `Mutation.attributeAddMetadata` added
* `Mutation.attributeDeleteMetadata` added

## 2023-02-14

* `Mutation.multimediaSetFolder` added

## 2022-12-21

* `Query.categoryAttributeList` added
* `Mutation.categoryAttributeAddAttribute` added
* `Mutation.categoryAttributeRemoveAttribute` added

## 2022-12-07

* `Mutation.attributeSetLabel` removed
* `OptionInput.label` removed
* `Option.label` removed
* `Attribute.label` removed
* `label` removed from `Attribute` create mutation input objects
  * `AttributeCreateDateInput`
  * `AttributeCreateFileInput`
  * `AttributeCreateGalleryInput`
  * `AttributeCreateImageInput`
  * `AttributeCreateMultiSelectInput`
  * `AttributeCreateNumericInput`
  * `AttributeCreatePriceInput`
  * `AttributeCreateProductRelationInput`
  * `AttributeCreateSelectInput`
  * `AttributeCreateTextareaInput`
  * `AttributeCreateTextInput`
  * `AttributeCreateUnitInput`

## 2022-11-09

* `Category.attributeList` added
* `Mutation.categoryDeleteAttributeValueTranslations` added
* `Mutation.categoryAddAttributeValueTranslationsText` added
* `Mutation.categoryAddAttributeValueTranslationsTextarea` added
* `Mutation.categoryAddAttributeValueTranslationsNumeric` added
* `Mutation.categoryAddAttributeValueTranslationsPrice` added
* `Mutation.categoryAddAttributeValueTranslationsUnit` added
* `Mutation.categoryAddAttributeValueTranslationsImage` added
* `Mutation.categoryAddAttributeValueTranslationsGallery` added
* `Mutation.categoryAddAttributeValueTranslationsFile` added
* `Mutation.categoryAddAttributeValueTranslationsProductRelation` added
* `Mutation.categoryAddAttributeValueTranslationsDate` added
* `Mutation.categoryAddAttributeValueTranslationsSelect` added
* `Mutation.categoryAddAttributeValueTranslationsMultiSelect` added
* `GroupingProduct.childList` removed
* `Template.name` removed
* `Template.defaultLabel` removed

## 2022-10-19

* `MultimediaCreateInput.folderName` added

## 2022-09-26

* `AttributeValue.translations` added - represents the translation value type per `Attribute` type. `MultiSelectAttributeValue` and `SelectAttributeValue` instead of simple `OptionCode` provides entire `Option`
* `AttributeValue.valueTranslations` becomes deprecated
* `AttributeValue` implementations per `Attribute` type added

## 2022-08-11

* `TranslatedAttributeValue.inherited` removed
* `Query.languageTreeLeafList` removed

## 2022-08-09

* `Template.attributeList` added
* `Query.templateList` added
* `Attribute.name` added - represents the same value as `Attribute.label` field
* `Attribute.label` becomes deprecated
* `Option.name` added - represents the same value as `Option.label` field
* `Option.label` becomes deprecated
* `OptionInput.name` added
  * if passed together with `label` field it takes precedence
* `Mutation.attributeSetName` added
* `Mutation.attributeSetLabel` becomes deprecated
* `name` field added in `Attribute` create mutation input objects. It replaces `label` field. If passed together with it `name` takes precedence
  * `AttributeCreateDateInput`
  * `AttributeCreateFileInput`
  * `AttributeCreateGalleryInput`
  * `AttributeCreateImageInput`
  * `AttributeCreateMultiSelectInput`
  * `AttributeCreateNumericInput`
  * `AttributeCreatePriceInput`
  * `AttributeCreateProductRelationInput`
  * `AttributeCreateSelectInput`
  * `AttributeCreateTextareaInput`
  * `AttributeCreateTextInput`
  * `AttributeCreateUnitInput`

## 2022-08-01

* `Attribute.hint` removed
* `Attribute.placeholder` removed
* `Mutation.attributeSetHint` removed
* `Mutation.attributeSetPlaceholder` removed
* `placeholder` and `hint` fields removed from `Attribute` create mutation input objects
  * `AttributeCreateDateInput`
  * `AttributeCreateFileInput`
  * `AttributeCreateGalleryInput`
  * `AttributeCreateImageInput`
  * `AttributeCreateMultiSelectInput`
  * `AttributeCreateNumericInput`
  * `AttributeCreatePriceInput`
  * `AttributeCreateProductRelationInput`
  * `AttributeCreateSelectInput`
  * `AttributeCreateTextareaInput`
  * `AttributeCreateTextInput`
  * `AttributeCreateUnitInput`

## 2022-07-14

* `Multimedia.title` added
* `Mutation.multimediaSetTitle` added

## 2022-06-09

* `ProductGroupingAddChildInput.quantity` added
* `Mutation.productGroupingSetChildQuantity` added
* `GroupingProduct.childrenList` added
* `GroupingProduct.childList` becomes deprecated
* `Template.name` becomes deprecated
* `Template.defaultLabel` becomes deprecated

## 2022-05-10

* `AttributeValue.code` removed
* `AttributeValue.value` removed
* `Option.attribute` removed

## 2022-05-04

* `TranslatedAttributeValue.inherited` becomes deprecated
* `Query.languageTree` becomes deprecated
* `Query.languageList` added
* `language` field becomes nullable for(valid for global attributes only)
  * `DateValueTranslationInput`
  * `FileValueTranslationInput`
  * `GalleryValueTranslationInput`
  * `ImageValueTranslationInput`
  * `MultiSelectValueTranslationInput`
  * `NumericValueTranslationInput`
  * `PriceValueTranslationInput`
  * `ProductRelationValueTranslationInput`
  * `SelectValueTranslationInput`
  * `TextareaValueTranslationInput`
  * `TextValueTranslationInput`
  * `UnitValueTranslationInput`

## 2022-03-15

* `Attribute.hint` becomes deprecated
* `Attribute.placeholder` becomes deprecated
* `Mutation.attributeSetHint` becomes deprecated
* `Mutation.attributeSetPlaceholder` becomes deprecated

## 2022-01-31

* `Option.attribute` becomes deprecated

## 2022-01-18

* `AttributeValue.valueTranslations` added
* `AttributeValue.value` becomes deprecated

## 2022-01-04

* Mutation schema has been added to the API. For a full list of mutations available use an introspection
  * every existing API key has preserved its read access but did not receive write access. In order to obtain write access create a new key with it


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ergonode.com/graphql/changelog/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
